#include <Juliet.h>

#if JULIET_DEBUG

#include <Core/Logging/LogManager.h>
#include <Core/Logging/LogTypes.h>

namespace Juliet
{
    // Forward declare the VectorUnitTest function
    void VectorUnitTest();

    void RunUnitTests()
    {
        LogMessage(LogCategory::Core, "Starting Unit Tests...");

        VectorUnitTest();

        LogMessage(LogCategory::Core, "Unit Tests Completed Successfully.");
    }
} // namespace Juliet

#endif
